]> andersk Git - libyaml.git/blame - tests/Makefile.in
debian: Clean doxygen-generated documentation with dh_doxygen
[libyaml.git] / tests / Makefile.in
CommitLineData
0044e680 1# Makefile.in generated by automake 1.14.1 from Makefile.am.
b9668ba4
AK
2# @configure_input@
3
0044e680
AK
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
b9668ba4
AK
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
b9668ba4 17VPATH = @srcdir@
0044e680
AK
18am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
19am__make_running_with_option = \
20 case $${target_option-} in \
21 ?) ;; \
22 *) echo "am__make_running_with_option: internal error: invalid" \
23 "target option '$${target_option-}' specified" >&2; \
24 exit 1;; \
25 esac; \
26 has_opt=no; \
27 sane_makeflags=$$MAKEFLAGS; \
28 if $(am__is_gnu_make); then \
29 sane_makeflags=$$MFLAGS; \
30 else \
31 case $$MAKEFLAGS in \
32 *\\[\ \ ]*) \
33 bs=\\; \
34 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
35 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
36 esac; \
37 fi; \
38 skip_next=no; \
39 strip_trailopt () \
40 { \
41 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
42 }; \
43 for flg in $$sane_makeflags; do \
44 test $$skip_next = yes && { skip_next=no; continue; }; \
45 case $$flg in \
46 *=*|--*) continue;; \
47 -*I) strip_trailopt 'I'; skip_next=yes;; \
48 -*I?*) strip_trailopt 'I';; \
49 -*O) strip_trailopt 'O'; skip_next=yes;; \
50 -*O?*) strip_trailopt 'O';; \
51 -*l) strip_trailopt 'l'; skip_next=yes;; \
52 -*l?*) strip_trailopt 'l';; \
53 -[dEDm]) skip_next=yes;; \
54 -[JT]) skip_next=yes;; \
55 esac; \
56 case $$flg in \
57 *$$target_option*) has_opt=yes; break;; \
58 esac; \
59 done; \
60 test $$has_opt = yes
61am__make_dryrun = (target_option=n; $(am__make_running_with_option))
62am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
b9668ba4 63pkgdatadir = $(datadir)/@PACKAGE@
b9668ba4 64pkgincludedir = $(includedir)/@PACKAGE@
0fbeb4dc
AK
65pkglibdir = $(libdir)/@PACKAGE@
66pkglibexecdir = $(libexecdir)/@PACKAGE@
b9668ba4 67am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
b9668ba4
AK
68install_sh_DATA = $(install_sh) -c -m 644
69install_sh_PROGRAM = $(install_sh) -c
70install_sh_SCRIPT = $(install_sh) -c
71INSTALL_HEADER = $(INSTALL_DATA)
72transform = $(program_transform_name)
73NORMAL_INSTALL = :
74PRE_INSTALL = :
75POST_INSTALL = :
76NORMAL_UNINSTALL = :
77PRE_UNINSTALL = :
78POST_UNINSTALL = :
79build_triplet = @build@
80host_triplet = @host@
5c706339 81TESTS = test-version$(EXEEXT) test-reader$(EXEEXT)
b9668ba4
AK
82check_PROGRAMS = test-version$(EXEEXT) test-reader$(EXEEXT)
83noinst_PROGRAMS = run-scanner$(EXEEXT) run-parser$(EXEEXT) \
84 run-loader$(EXEEXT) run-emitter$(EXEEXT) run-dumper$(EXEEXT) \
85 example-reformatter$(EXEEXT) example-reformatter-alt$(EXEEXT) \
86 example-deconstructor$(EXEEXT) \
87 example-deconstructor-alt$(EXEEXT)
88subdir = tests
0044e680
AK
89DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
90 $(top_srcdir)/config/depcomp $(top_srcdir)/config/test-driver
b9668ba4
AK
91ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92am__aclocal_m4_deps = $(top_srcdir)/configure.ac
93am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
94 $(ACLOCAL_M4)
95mkinstalldirs = $(install_sh) -d
96CONFIG_HEADER = $(top_builddir)/config.h
97CONFIG_CLEAN_FILES =
0fbeb4dc 98CONFIG_CLEAN_VPATH_FILES =
b9668ba4
AK
99PROGRAMS = $(noinst_PROGRAMS)
100example_deconstructor_SOURCES = example-deconstructor.c
101example_deconstructor_OBJECTS = example-deconstructor.$(OBJEXT)
102example_deconstructor_LDADD = $(LDADD)
103example_deconstructor_DEPENDENCIES = $(top_builddir)/src/libyaml.la
0044e680
AK
104AM_V_lt = $(am__v_lt_@AM_V@)
105am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
106am__v_lt_0 = --silent
107am__v_lt_1 =
b9668ba4
AK
108example_deconstructor_alt_SOURCES = example-deconstructor-alt.c
109example_deconstructor_alt_OBJECTS = \
110 example-deconstructor-alt.$(OBJEXT)
111example_deconstructor_alt_LDADD = $(LDADD)
112example_deconstructor_alt_DEPENDENCIES = \
113 $(top_builddir)/src/libyaml.la
114example_reformatter_SOURCES = example-reformatter.c
115example_reformatter_OBJECTS = example-reformatter.$(OBJEXT)
116example_reformatter_LDADD = $(LDADD)
117example_reformatter_DEPENDENCIES = $(top_builddir)/src/libyaml.la
118example_reformatter_alt_SOURCES = example-reformatter-alt.c
119example_reformatter_alt_OBJECTS = example-reformatter-alt.$(OBJEXT)
120example_reformatter_alt_LDADD = $(LDADD)
121example_reformatter_alt_DEPENDENCIES = $(top_builddir)/src/libyaml.la
122run_dumper_SOURCES = run-dumper.c
123run_dumper_OBJECTS = run-dumper.$(OBJEXT)
124run_dumper_LDADD = $(LDADD)
125run_dumper_DEPENDENCIES = $(top_builddir)/src/libyaml.la
126run_emitter_SOURCES = run-emitter.c
127run_emitter_OBJECTS = run-emitter.$(OBJEXT)
128run_emitter_LDADD = $(LDADD)
129run_emitter_DEPENDENCIES = $(top_builddir)/src/libyaml.la
130run_loader_SOURCES = run-loader.c
131run_loader_OBJECTS = run-loader.$(OBJEXT)
132run_loader_LDADD = $(LDADD)
133run_loader_DEPENDENCIES = $(top_builddir)/src/libyaml.la
134run_parser_SOURCES = run-parser.c
135run_parser_OBJECTS = run-parser.$(OBJEXT)
136run_parser_LDADD = $(LDADD)
137run_parser_DEPENDENCIES = $(top_builddir)/src/libyaml.la
138run_scanner_SOURCES = run-scanner.c
139run_scanner_OBJECTS = run-scanner.$(OBJEXT)
140run_scanner_LDADD = $(LDADD)
141run_scanner_DEPENDENCIES = $(top_builddir)/src/libyaml.la
142test_reader_SOURCES = test-reader.c
143test_reader_OBJECTS = test-reader.$(OBJEXT)
144test_reader_LDADD = $(LDADD)
145test_reader_DEPENDENCIES = $(top_builddir)/src/libyaml.la
146test_version_SOURCES = test-version.c
147test_version_OBJECTS = test-version.$(OBJEXT)
148test_version_LDADD = $(LDADD)
149test_version_DEPENDENCIES = $(top_builddir)/src/libyaml.la
0044e680
AK
150AM_V_P = $(am__v_P_@AM_V@)
151am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
152am__v_P_0 = false
153am__v_P_1 = :
154AM_V_GEN = $(am__v_GEN_@AM_V@)
155am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
156am__v_GEN_0 = @echo " GEN " $@;
157am__v_GEN_1 =
158AM_V_at = $(am__v_at_@AM_V@)
159am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
160am__v_at_0 = @
161am__v_at_1 =
5c706339 162DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
b9668ba4
AK
163depcomp = $(SHELL) $(top_srcdir)/config/depcomp
164am__depfiles_maybe = depfiles
0fbeb4dc 165am__mv = mv -f
b9668ba4
AK
166COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
167 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
0044e680
AK
168LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
169 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
170 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
171 $(AM_CFLAGS) $(CFLAGS)
172AM_V_CC = $(am__v_CC_@AM_V@)
173am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
174am__v_CC_0 = @echo " CC " $@;
175am__v_CC_1 =
b9668ba4 176CCLD = $(CC)
0044e680
AK
177LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
178 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
179 $(AM_LDFLAGS) $(LDFLAGS) -o $@
180AM_V_CCLD = $(am__v_CCLD_@AM_V@)
181am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
182am__v_CCLD_0 = @echo " CCLD " $@;
183am__v_CCLD_1 =
b9668ba4
AK
184SOURCES = example-deconstructor.c example-deconstructor-alt.c \
185 example-reformatter.c example-reformatter-alt.c run-dumper.c \
186 run-emitter.c run-loader.c run-parser.c run-scanner.c \
187 test-reader.c test-version.c
188DIST_SOURCES = example-deconstructor.c example-deconstructor-alt.c \
189 example-reformatter.c example-reformatter-alt.c run-dumper.c \
190 run-emitter.c run-loader.c run-parser.c run-scanner.c \
191 test-reader.c test-version.c
0044e680
AK
192am__can_run_installinfo = \
193 case $$AM_UPDATE_INFO_DIR in \
194 n|no|NO) false;; \
195 *) (install-info --version) >/dev/null 2>&1;; \
196 esac
197am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
198# Read a list of newline-separated strings from the standard input,
199# and print each of them once, without duplicates. Input order is
200# *not* preserved.
201am__uniquify_input = $(AWK) '\
202 BEGIN { nonempty = 0; } \
203 { items[$$0] = 1; nonempty = 1; } \
204 END { if (nonempty) { for (i in items) print i; }; } \
205'
206# Make sure the list of sources is unique. This is necessary because,
207# e.g., the same source file might be shared among _SOURCES variables
208# for different programs/libraries.
209am__define_uniq_tagged_files = \
210 list='$(am__tagged_files)'; \
211 unique=`for i in $$list; do \
212 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
213 done | $(am__uniquify_input)`
b9668ba4
AK
214ETAGS = etags
215CTAGS = ctags
0044e680
AK
216am__tty_colors_dummy = \
217 mgn= red= grn= lgn= blu= brg= std=; \
218 am__color_tests=no
219am__tty_colors = { \
220 $(am__tty_colors_dummy); \
221 if test "X$(AM_COLOR_TESTS)" = Xno; then \
222 am__color_tests=no; \
223 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
224 am__color_tests=yes; \
225 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
226 am__color_tests=yes; \
227 fi; \
228 if test $$am__color_tests = yes; then \
229 red='\e[0;31m'; \
230 grn='\e[0;32m'; \
231 lgn='\e[1;32m'; \
232 blu='\e[1;34m'; \
233 mgn='\e[0;35m'; \
234 brg='\e[1m'; \
235 std='\e[m'; \
236 fi; \
237}
238am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
239am__vpath_adj = case $$p in \
240 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
241 *) f=$$p;; \
242 esac;
243am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
244am__install_max = 40
245am__nobase_strip_setup = \
246 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
247am__nobase_strip = \
248 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
249am__nobase_list = $(am__nobase_strip_setup); \
250 for p in $$list; do echo "$$p $$p"; done | \
251 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
252 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
253 if (++n[$$2] == $(am__install_max)) \
254 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
255 END { for (dir in files) print dir, files[dir] }'
256am__base_list = \
257 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
258 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
259am__uninstall_files_from_dir = { \
260 test -z "$$files" \
261 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
262 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
263 $(am__cd) "$$dir" && rm -f $$files; }; \
264 }
265am__recheck_rx = ^[ ]*:recheck:[ ]*
266am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
267am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
268# A command that, given a newline-separated list of test names on the
269# standard input, print the name of the tests that are to be re-run
270# upon "make recheck".
271am__list_recheck_tests = $(AWK) '{ \
272 recheck = 1; \
273 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
274 { \
275 if (rc < 0) \
276 { \
277 if ((getline line2 < ($$0 ".log")) < 0) \
278 recheck = 0; \
279 break; \
280 } \
281 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
282 { \
283 recheck = 0; \
284 break; \
285 } \
286 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
287 { \
288 break; \
289 } \
290 }; \
291 if (recheck) \
292 print $$0; \
293 close ($$0 ".trs"); \
294 close ($$0 ".log"); \
295}'
296# A command that, given a newline-separated list of test names on the
297# standard input, create the global log from their .trs and .log files.
298am__create_global_log = $(AWK) ' \
299function fatal(msg) \
300{ \
301 print "fatal: making $@: " msg | "cat >&2"; \
302 exit 1; \
303} \
304function rst_section(header) \
305{ \
306 print header; \
307 len = length(header); \
308 for (i = 1; i <= len; i = i + 1) \
309 printf "="; \
310 printf "\n\n"; \
311} \
312{ \
313 copy_in_global_log = 1; \
314 global_test_result = "RUN"; \
315 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
316 { \
317 if (rc < 0) \
318 fatal("failed to read from " $$0 ".trs"); \
319 if (line ~ /$(am__global_test_result_rx)/) \
320 { \
321 sub("$(am__global_test_result_rx)", "", line); \
322 sub("[ ]*$$", "", line); \
323 global_test_result = line; \
324 } \
325 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
326 copy_in_global_log = 0; \
327 }; \
328 if (copy_in_global_log) \
329 { \
330 rst_section(global_test_result ": " $$0); \
331 while ((rc = (getline line < ($$0 ".log"))) != 0) \
332 { \
333 if (rc < 0) \
334 fatal("failed to read from " $$0 ".log"); \
335 print line; \
336 }; \
337 printf "\n"; \
338 }; \
339 close ($$0 ".trs"); \
340 close ($$0 ".log"); \
341}'
342# Restructured Text title.
343am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
344# Solaris 10 'make', and several other traditional 'make' implementations,
345# pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
346# by disabling -e (using the XSI extension "set +e") if it's set.
347am__sh_e_setup = case $$- in *e*) set +e;; esac
348# Default flags passed to test drivers.
349am__common_driver_flags = \
350 --color-tests "$$am__color_tests" \
351 --enable-hard-errors "$$am__enable_hard_errors" \
352 --expect-failure "$$am__expect_failure"
353# To be inserted before the command running the test. Creates the
354# directory for the log if needed. Stores in $dir the directory
355# containing $f, in $tst the test, in $log the log. Executes the
356# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
357# passes TESTS_ENVIRONMENT. Set up options for the wrapper that
358# will run the test scripts (or their associated LOG_COMPILER, if
359# thy have one).
360am__check_pre = \
361$(am__sh_e_setup); \
362$(am__vpath_adj_setup) $(am__vpath_adj) \
363$(am__tty_colors); \
364srcdir=$(srcdir); export srcdir; \
365case "$@" in \
366 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
367 *) am__odir=.;; \
368esac; \
369test "x$$am__odir" = x"." || test -d "$$am__odir" \
370 || $(MKDIR_P) "$$am__odir" || exit $$?; \
371if test -f "./$$f"; then dir=./; \
372elif test -f "$$f"; then dir=; \
373else dir="$(srcdir)/"; fi; \
374tst=$$dir$$f; log='$@'; \
375if test -n '$(DISABLE_HARD_ERRORS)'; then \
376 am__enable_hard_errors=no; \
377else \
378 am__enable_hard_errors=yes; \
379fi; \
380case " $(XFAIL_TESTS) " in \
381 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
382 am__expect_failure=yes;; \
383 *) \
384 am__expect_failure=no;; \
385esac; \
386$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
387# A shell command to get the names of the tests scripts with any registered
388# extension removed (i.e., equivalently, the names of the test logs, with
389# the '.log' extension removed). The result is saved in the shell variable
390# '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
391# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
392# since that might cause problem with VPATH rewrites for suffix-less tests.
393# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
394am__set_TESTS_bases = \
395 bases='$(TEST_LOGS)'; \
396 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
397 bases=`echo $$bases`
398RECHECK_LOGS = $(TEST_LOGS)
399AM_RECURSIVE_TARGETS = check recheck
400TEST_SUITE_LOG = test-suite.log
401TEST_EXTENSIONS = @EXEEXT@ .test
402LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
403LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
404am__set_b = \
405 case '$@' in \
406 */*) \
407 case '$*' in \
408 */*) b='$*';; \
409 *) b=`echo '$@' | sed 's/\.log$$//'`; \
410 esac;; \
411 *) \
412 b='$*';; \
413 esac
414am__test_logs1 = $(TESTS:=.log)
415am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
416TEST_LOGS = $(am__test_logs2:.test.log=.log)
417TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
418TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
419 $(TEST_LOG_FLAGS)
b9668ba4
AK
420DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
421ACLOCAL = @ACLOCAL@
b9668ba4 422AMTAR = @AMTAR@
0044e680 423AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
b9668ba4
AK
424AR = @AR@
425AUTOCONF = @AUTOCONF@
426AUTOHEADER = @AUTOHEADER@
427AUTOMAKE = @AUTOMAKE@
428AWK = @AWK@
429CC = @CC@
430CCDEPMODE = @CCDEPMODE@
431CFLAGS = @CFLAGS@
432CPP = @CPP@
433CPPFLAGS = @CPPFLAGS@
b9668ba4
AK
434CYGPATH_W = @CYGPATH_W@
435DEFS = @DEFS@
436DEPDIR = @DEPDIR@
059850b5 437DLLTOOL = @DLLTOOL@
b9668ba4 438DOXYGEN = @DOXYGEN@
5c706339
AK
439DSYMUTIL = @DSYMUTIL@
440DUMPBIN = @DUMPBIN@
b9668ba4
AK
441ECHO_C = @ECHO_C@
442ECHO_N = @ECHO_N@
443ECHO_T = @ECHO_T@
444EGREP = @EGREP@
445EXEEXT = @EXEEXT@
5c706339 446FGREP = @FGREP@
b9668ba4 447GREP = @GREP@
5c706339 448INSTALL = @INSTALL@
b9668ba4
AK
449INSTALL_DATA = @INSTALL_DATA@
450INSTALL_PROGRAM = @INSTALL_PROGRAM@
451INSTALL_SCRIPT = @INSTALL_SCRIPT@
452INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
5c706339 453LD = @LD@
b9668ba4
AK
454LDFLAGS = @LDFLAGS@
455LIBOBJS = @LIBOBJS@
456LIBS = @LIBS@
457LIBTOOL = @LIBTOOL@
5c706339 458LIPO = @LIPO@
b9668ba4
AK
459LN_S = @LN_S@
460LTLIBOBJS = @LTLIBOBJS@
461MAKEINFO = @MAKEINFO@
059850b5 462MANIFEST_TOOL = @MANIFEST_TOOL@
5c706339
AK
463MKDIR_P = @MKDIR_P@
464NM = @NM@
465NMEDIT = @NMEDIT@
47dc80f6 466OBJDUMP = @OBJDUMP@
b9668ba4 467OBJEXT = @OBJEXT@
5c706339
AK
468OTOOL = @OTOOL@
469OTOOL64 = @OTOOL64@
b9668ba4
AK
470PACKAGE = @PACKAGE@
471PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
472PACKAGE_NAME = @PACKAGE_NAME@
473PACKAGE_STRING = @PACKAGE_STRING@
474PACKAGE_TARNAME = @PACKAGE_TARNAME@
0fbeb4dc 475PACKAGE_URL = @PACKAGE_URL@
b9668ba4
AK
476PACKAGE_VERSION = @PACKAGE_VERSION@
477PATH_SEPARATOR = @PATH_SEPARATOR@
478RANLIB = @RANLIB@
5c706339 479SED = @SED@
b9668ba4
AK
480SET_MAKE = @SET_MAKE@
481SHELL = @SHELL@
482STRIP = @STRIP@
483VERSION = @VERSION@
484YAML_LT_AGE = @YAML_LT_AGE@
485YAML_LT_CURRENT = @YAML_LT_CURRENT@
486YAML_LT_RELEASE = @YAML_LT_RELEASE@
487YAML_LT_REVISION = @YAML_LT_REVISION@
5c706339
AK
488abs_builddir = @abs_builddir@
489abs_srcdir = @abs_srcdir@
490abs_top_builddir = @abs_top_builddir@
491abs_top_srcdir = @abs_top_srcdir@
059850b5 492ac_ct_AR = @ac_ct_AR@
b9668ba4 493ac_ct_CC = @ac_ct_CC@
5c706339 494ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
b9668ba4
AK
495am__include = @am__include@
496am__leading_dot = @am__leading_dot@
497am__quote = @am__quote@
498am__tar = @am__tar@
499am__untar = @am__untar@
500bindir = @bindir@
501build = @build@
502build_alias = @build_alias@
503build_cpu = @build_cpu@
504build_os = @build_os@
505build_vendor = @build_vendor@
5c706339 506builddir = @builddir@
b9668ba4
AK
507datadir = @datadir@
508datarootdir = @datarootdir@
509docdir = @docdir@
510dvidir = @dvidir@
511exec_prefix = @exec_prefix@
512host = @host@
513host_alias = @host_alias@
514host_cpu = @host_cpu@
515host_os = @host_os@
516host_vendor = @host_vendor@
517htmldir = @htmldir@
518includedir = @includedir@
519infodir = @infodir@
520install_sh = @install_sh@
521libdir = @libdir@
522libexecdir = @libexecdir@
523localedir = @localedir@
524localstatedir = @localstatedir@
525mandir = @mandir@
526mkdir_p = @mkdir_p@
527oldincludedir = @oldincludedir@
528pdfdir = @pdfdir@
529prefix = @prefix@
530program_transform_name = @program_transform_name@
531psdir = @psdir@
532sbindir = @sbindir@
533sharedstatedir = @sharedstatedir@
5c706339 534srcdir = @srcdir@
b9668ba4
AK
535sysconfdir = @sysconfdir@
536target_alias = @target_alias@
47dc80f6 537top_build_prefix = @top_build_prefix@
5c706339
AK
538top_builddir = @top_builddir@
539top_srcdir = @top_srcdir@
b9668ba4
AK
540AM_CPPFLAGS = -I$(top_srcdir)/include
541#AM_CFLAGS = -Wno-pointer-sign
542LDADD = $(top_builddir)/src/libyaml.la
b9668ba4
AK
543all: all-am
544
545.SUFFIXES:
0044e680 546.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
b9668ba4
AK
547$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
548 @for dep in $?; do \
549 case '$(am__configure_deps)' in \
550 *$$dep*) \
47dc80f6
AK
551 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
552 && { if test -f $@; then exit 0; else break; fi; }; \
b9668ba4
AK
553 exit 1;; \
554 esac; \
555 done; \
0fbeb4dc
AK
556 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
557 $(am__cd) $(top_srcdir) && \
558 $(AUTOMAKE) --foreign tests/Makefile
b9668ba4
AK
559.PRECIOUS: Makefile
560Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
561 @case '$?' in \
562 *config.status*) \
563 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
564 *) \
565 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
566 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
567 esac;
568
569$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
570 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
571
572$(top_srcdir)/configure: $(am__configure_deps)
573 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
574$(ACLOCAL_M4): $(am__aclocal_m4_deps)
575 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
0fbeb4dc 576$(am__aclocal_m4_deps):
b9668ba4
AK
577
578clean-checkPROGRAMS:
0fbeb4dc
AK
579 @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
580 echo " rm -f" $$list; \
581 rm -f $$list || exit $$?; \
582 test -n "$(EXEEXT)" || exit 0; \
583 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
584 echo " rm -f" $$list; \
585 rm -f $$list
b9668ba4
AK
586
587clean-noinstPROGRAMS:
0fbeb4dc
AK
588 @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
589 echo " rm -f" $$list; \
590 rm -f $$list || exit $$?; \
591 test -n "$(EXEEXT)" || exit 0; \
592 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
593 echo " rm -f" $$list; \
594 rm -f $$list
0044e680 595
059850b5 596example-deconstructor$(EXEEXT): $(example_deconstructor_OBJECTS) $(example_deconstructor_DEPENDENCIES) $(EXTRA_example_deconstructor_DEPENDENCIES)
b9668ba4 597 @rm -f example-deconstructor$(EXEEXT)
0044e680
AK
598 $(AM_V_CCLD)$(LINK) $(example_deconstructor_OBJECTS) $(example_deconstructor_LDADD) $(LIBS)
599
059850b5 600example-deconstructor-alt$(EXEEXT): $(example_deconstructor_alt_OBJECTS) $(example_deconstructor_alt_DEPENDENCIES) $(EXTRA_example_deconstructor_alt_DEPENDENCIES)
b9668ba4 601 @rm -f example-deconstructor-alt$(EXEEXT)
0044e680
AK
602 $(AM_V_CCLD)$(LINK) $(example_deconstructor_alt_OBJECTS) $(example_deconstructor_alt_LDADD) $(LIBS)
603
059850b5 604example-reformatter$(EXEEXT): $(example_reformatter_OBJECTS) $(example_reformatter_DEPENDENCIES) $(EXTRA_example_reformatter_DEPENDENCIES)
b9668ba4 605 @rm -f example-reformatter$(EXEEXT)
0044e680
AK
606 $(AM_V_CCLD)$(LINK) $(example_reformatter_OBJECTS) $(example_reformatter_LDADD) $(LIBS)
607
059850b5 608example-reformatter-alt$(EXEEXT): $(example_reformatter_alt_OBJECTS) $(example_reformatter_alt_DEPENDENCIES) $(EXTRA_example_reformatter_alt_DEPENDENCIES)
b9668ba4 609 @rm -f example-reformatter-alt$(EXEEXT)
0044e680
AK
610 $(AM_V_CCLD)$(LINK) $(example_reformatter_alt_OBJECTS) $(example_reformatter_alt_LDADD) $(LIBS)
611
059850b5 612run-dumper$(EXEEXT): $(run_dumper_OBJECTS) $(run_dumper_DEPENDENCIES) $(EXTRA_run_dumper_DEPENDENCIES)
b9668ba4 613 @rm -f run-dumper$(EXEEXT)
0044e680
AK
614 $(AM_V_CCLD)$(LINK) $(run_dumper_OBJECTS) $(run_dumper_LDADD) $(LIBS)
615
059850b5 616run-emitter$(EXEEXT): $(run_emitter_OBJECTS) $(run_emitter_DEPENDENCIES) $(EXTRA_run_emitter_DEPENDENCIES)
b9668ba4 617 @rm -f run-emitter$(EXEEXT)
0044e680
AK
618 $(AM_V_CCLD)$(LINK) $(run_emitter_OBJECTS) $(run_emitter_LDADD) $(LIBS)
619
059850b5 620run-loader$(EXEEXT): $(run_loader_OBJECTS) $(run_loader_DEPENDENCIES) $(EXTRA_run_loader_DEPENDENCIES)
b9668ba4 621 @rm -f run-loader$(EXEEXT)
0044e680
AK
622 $(AM_V_CCLD)$(LINK) $(run_loader_OBJECTS) $(run_loader_LDADD) $(LIBS)
623
059850b5 624run-parser$(EXEEXT): $(run_parser_OBJECTS) $(run_parser_DEPENDENCIES) $(EXTRA_run_parser_DEPENDENCIES)
b9668ba4 625 @rm -f run-parser$(EXEEXT)
0044e680
AK
626 $(AM_V_CCLD)$(LINK) $(run_parser_OBJECTS) $(run_parser_LDADD) $(LIBS)
627
059850b5 628run-scanner$(EXEEXT): $(run_scanner_OBJECTS) $(run_scanner_DEPENDENCIES) $(EXTRA_run_scanner_DEPENDENCIES)
b9668ba4 629 @rm -f run-scanner$(EXEEXT)
0044e680
AK
630 $(AM_V_CCLD)$(LINK) $(run_scanner_OBJECTS) $(run_scanner_LDADD) $(LIBS)
631
059850b5 632test-reader$(EXEEXT): $(test_reader_OBJECTS) $(test_reader_DEPENDENCIES) $(EXTRA_test_reader_DEPENDENCIES)
b9668ba4 633 @rm -f test-reader$(EXEEXT)
0044e680
AK
634 $(AM_V_CCLD)$(LINK) $(test_reader_OBJECTS) $(test_reader_LDADD) $(LIBS)
635
059850b5 636test-version$(EXEEXT): $(test_version_OBJECTS) $(test_version_DEPENDENCIES) $(EXTRA_test_version_DEPENDENCIES)
b9668ba4 637 @rm -f test-version$(EXEEXT)
0044e680 638 $(AM_V_CCLD)$(LINK) $(test_version_OBJECTS) $(test_version_LDADD) $(LIBS)
b9668ba4
AK
639
640mostlyclean-compile:
641 -rm -f *.$(OBJEXT)
642
643distclean-compile:
644 -rm -f *.tab.c
645
646@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/example-deconstructor-alt.Po@am__quote@
647@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/example-deconstructor.Po@am__quote@
648@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/example-reformatter-alt.Po@am__quote@
649@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/example-reformatter.Po@am__quote@
650@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-dumper.Po@am__quote@
651@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-emitter.Po@am__quote@
652@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-loader.Po@am__quote@
653@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-parser.Po@am__quote@
654@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-scanner.Po@am__quote@
655@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-reader.Po@am__quote@
656@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-version.Po@am__quote@
657
658.c.o:
0044e680
AK
659@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
660@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
661@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
b9668ba4 662@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
0044e680 663@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
b9668ba4
AK
664
665.c.obj:
0044e680
AK
666@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
667@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
668@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
b9668ba4 669@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
0044e680 670@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
b9668ba4
AK
671
672.c.lo:
0044e680
AK
673@am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
674@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
675@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
b9668ba4 676@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
0044e680 677@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
b9668ba4
AK
678
679mostlyclean-libtool:
680 -rm -f *.lo
681
682clean-libtool:
683 -rm -rf .libs _libs
684
0044e680
AK
685ID: $(am__tagged_files)
686 $(am__define_uniq_tagged_files); mkid -fID $$unique
687tags: tags-am
688TAGS: tags
689
690tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
0fbeb4dc 691 set x; \
b9668ba4 692 here=`pwd`; \
0044e680 693 $(am__define_uniq_tagged_files); \
0fbeb4dc
AK
694 shift; \
695 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
b9668ba4 696 test -n "$$unique" || unique=$$empty_fix; \
0fbeb4dc
AK
697 if test $$# -gt 0; then \
698 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
699 "$$@" $$unique; \
700 else \
701 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
702 $$unique; \
703 fi; \
b9668ba4 704 fi
0044e680
AK
705ctags: ctags-am
706
707CTAGS: ctags
708ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
709 $(am__define_uniq_tagged_files); \
0fbeb4dc 710 test -z "$(CTAGS_ARGS)$$unique" \
b9668ba4 711 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
0fbeb4dc 712 $$unique
b9668ba4
AK
713
714GTAGS:
715 here=`$(am__cd) $(top_builddir) && pwd` \
0fbeb4dc
AK
716 && $(am__cd) $(top_srcdir) \
717 && gtags -i $(GTAGS_ARGS) "$$here"
0044e680
AK
718cscopelist: cscopelist-am
719
720cscopelist-am: $(am__tagged_files)
721 list='$(am__tagged_files)'; \
722 case "$(srcdir)" in \
723 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
724 *) sdir=$(subdir)/$(srcdir) ;; \
725 esac; \
726 for i in $$list; do \
727 if test -f "$$i"; then \
728 echo "$(subdir)/$$i"; \
729 else \
730 echo "$$sdir/$$i"; \
731 fi; \
732 done >> $(top_builddir)/cscope.files
b9668ba4
AK
733
734distclean-tags:
735 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
736
0044e680
AK
737# Recover from deleted '.trs' file; this should ensure that
738# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
739# both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
740# to avoid problems with "make -n".
741.log.trs:
742 rm -f $< $@
743 $(MAKE) $(AM_MAKEFLAGS) $<
744
745# Leading 'am--fnord' is there to ensure the list of targets does not
746# expand to empty, as could happen e.g. with make check TESTS=''.
747am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
748am--force-recheck:
749 @:
750
751$(TEST_SUITE_LOG): $(TEST_LOGS)
752 @$(am__set_TESTS_bases); \
753 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
754 redo_bases=`for i in $$bases; do \
755 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
756 done`; \
757 if test -n "$$redo_bases"; then \
758 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
759 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
760 if $(am__make_dryrun); then :; else \
761 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
47dc80f6 762 fi; \
0044e680
AK
763 fi; \
764 if test -n "$$am__remaking_logs"; then \
765 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
766 "recursion detected" >&2; \
767 else \
768 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
769 fi; \
770 if $(am__make_dryrun); then :; else \
771 st=0; \
772 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
773 for i in $$redo_bases; do \
774 test -f $$i.trs && test -r $$i.trs \
775 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
776 test -f $$i.log && test -r $$i.log \
777 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
778 done; \
779 test $$st -eq 0 || exit 1; \
780 fi
781 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
782 ws='[ ]'; \
783 results=`for b in $$bases; do echo $$b.trs; done`; \
784 test -n "$$results" || results=/dev/null; \
785 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
786 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
787 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
788 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
789 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
790 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
791 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
792 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
793 success=true; \
794 else \
795 success=false; \
796 fi; \
797 br='==================='; br=$$br$$br$$br$$br; \
798 result_count () \
799 { \
800 if test x"$$1" = x"--maybe-color"; then \
801 maybe_colorize=yes; \
802 elif test x"$$1" = x"--no-color"; then \
803 maybe_colorize=no; \
b9668ba4 804 else \
0044e680 805 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
b9668ba4 806 fi; \
0044e680
AK
807 shift; \
808 desc=$$1 count=$$2; \
809 if test $$maybe_colorize = yes && test $$count -gt 0; then \
810 color_start=$$3 color_end=$$std; \
47dc80f6 811 else \
0044e680 812 color_start= color_end=; \
47dc80f6 813 fi; \
0044e680
AK
814 echo "$${color_start}# $$desc $$count$${color_end}"; \
815 }; \
816 create_testsuite_report () \
817 { \
818 result_count $$1 "TOTAL:" $$all "$$brg"; \
819 result_count $$1 "PASS: " $$pass "$$grn"; \
820 result_count $$1 "SKIP: " $$skip "$$blu"; \
821 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
822 result_count $$1 "FAIL: " $$fail "$$red"; \
823 result_count $$1 "XPASS:" $$xpass "$$red"; \
824 result_count $$1 "ERROR:" $$error "$$mgn"; \
825 }; \
826 { \
827 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
828 $(am__rst_title); \
829 create_testsuite_report --no-color; \
830 echo; \
831 echo ".. contents:: :depth: 2"; \
832 echo; \
833 for b in $$bases; do echo $$b; done \
834 | $(am__create_global_log); \
835 } >$(TEST_SUITE_LOG).tmp || exit 1; \
836 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
837 if $$success; then \
838 col="$$grn"; \
839 else \
840 col="$$red"; \
841 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
842 fi; \
843 echo "$${col}$$br$${std}"; \
844 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
845 echo "$${col}$$br$${std}"; \
846 create_testsuite_report --maybe-color; \
847 echo "$$col$$br$$std"; \
848 if $$success; then :; else \
849 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
850 if test -n "$(PACKAGE_BUGREPORT)"; then \
851 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
852 fi; \
853 echo "$$col$$br$$std"; \
854 fi; \
855 $$success || exit 1
856
857check-TESTS:
858 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
859 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
860 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
861 @set +e; $(am__set_TESTS_bases); \
862 log_list=`for i in $$bases; do echo $$i.log; done`; \
863 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
864 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
865 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
866 exit $$?;
867recheck: all $(check_PROGRAMS)
868 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
869 @set +e; $(am__set_TESTS_bases); \
870 bases=`for i in $$bases; do echo $$i; done \
871 | $(am__list_recheck_tests)` || exit 1; \
872 log_list=`for i in $$bases; do echo $$i.log; done`; \
873 log_list=`echo $$log_list`; \
874 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
875 am__force_recheck=am--force-recheck \
876 TEST_LOGS="$$log_list"; \
877 exit $$?
878test-version.log: test-version$(EXEEXT)
879 @p='test-version$(EXEEXT)'; \
880 b='test-version'; \
881 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
882 --log-file $$b.log --trs-file $$b.trs \
883 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
884 "$$tst" $(AM_TESTS_FD_REDIRECT)
885test-reader.log: test-reader$(EXEEXT)
886 @p='test-reader$(EXEEXT)'; \
887 b='test-reader'; \
888 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
889 --log-file $$b.log --trs-file $$b.trs \
890 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
891 "$$tst" $(AM_TESTS_FD_REDIRECT)
892.test.log:
893 @p='$<'; \
894 $(am__set_b); \
895 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
896 --log-file $$b.log --trs-file $$b.trs \
897 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
898 "$$tst" $(AM_TESTS_FD_REDIRECT)
899@am__EXEEXT_TRUE@.test$(EXEEXT).log:
900@am__EXEEXT_TRUE@ @p='$<'; \
901@am__EXEEXT_TRUE@ $(am__set_b); \
902@am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
903@am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
904@am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
905@am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
b9668ba4
AK
906
907distdir: $(DISTFILES)
5c706339
AK
908 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
909 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
910 list='$(DISTFILES)'; \
911 dist_files=`for file in $$list; do echo $$file; done | \
912 sed -e "s|^$$srcdirstrip/||;t" \
913 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
914 case $$dist_files in \
915 */*) $(MKDIR_P) `echo "$$dist_files" | \
916 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
917 sort -u` ;; \
918 esac; \
919 for file in $$dist_files; do \
b9668ba4 920 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
b9668ba4 921 if test -d $$d/$$file; then \
5c706339 922 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
0fbeb4dc
AK
923 if test -d "$(distdir)/$$file"; then \
924 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
925 fi; \
b9668ba4 926 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
0fbeb4dc
AK
927 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
928 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
b9668ba4 929 fi; \
0fbeb4dc 930 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
b9668ba4 931 else \
0fbeb4dc
AK
932 test -f "$(distdir)/$$file" \
933 || cp -p $$d/$$file "$(distdir)/$$file" \
b9668ba4
AK
934 || exit 1; \
935 fi; \
936 done
937check-am: all-am
938 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
939 $(MAKE) $(AM_MAKEFLAGS) check-TESTS
940check: check-am
941all-am: Makefile $(PROGRAMS)
942installdirs:
943install: install-am
944install-exec: install-exec-am
945install-data: install-data-am
946uninstall: uninstall-am
947
948install-am: all-am
949 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
950
951installcheck: installcheck-am
952install-strip:
059850b5
AK
953 if test -z '$(STRIP)'; then \
954 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
955 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
956 install; \
957 else \
958 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
959 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
960 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
961 fi
b9668ba4 962mostlyclean-generic:
0044e680
AK
963 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
964 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
965 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
b9668ba4
AK
966
967clean-generic:
968
969distclean-generic:
970 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
0fbeb4dc 971 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
b9668ba4
AK
972
973maintainer-clean-generic:
974 @echo "This command is intended for maintainers to use"
975 @echo "it deletes files that may require special tools to rebuild."
976clean: clean-am
977
978clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
979 clean-noinstPROGRAMS mostlyclean-am
980
981distclean: distclean-am
982 -rm -rf ./$(DEPDIR)
983 -rm -f Makefile
984distclean-am: clean-am distclean-compile distclean-generic \
5c706339 985 distclean-tags
b9668ba4
AK
986
987dvi: dvi-am
988
989dvi-am:
990
991html: html-am
992
0fbeb4dc
AK
993html-am:
994
b9668ba4
AK
995info: info-am
996
997info-am:
998
999install-data-am:
1000
5c706339
AK
1001install-dvi: install-dvi-am
1002
0fbeb4dc
AK
1003install-dvi-am:
1004
b9668ba4
AK
1005install-exec-am:
1006
5c706339
AK
1007install-html: install-html-am
1008
0fbeb4dc
AK
1009install-html-am:
1010
b9668ba4
AK
1011install-info: install-info-am
1012
0fbeb4dc
AK
1013install-info-am:
1014
b9668ba4
AK
1015install-man:
1016
5c706339
AK
1017install-pdf: install-pdf-am
1018
0fbeb4dc
AK
1019install-pdf-am:
1020
5c706339
AK
1021install-ps: install-ps-am
1022
0fbeb4dc
AK
1023install-ps-am:
1024
b9668ba4
AK
1025installcheck-am:
1026
1027maintainer-clean: maintainer-clean-am
1028 -rm -rf ./$(DEPDIR)
1029 -rm -f Makefile
1030maintainer-clean-am: distclean-am maintainer-clean-generic
1031
1032mostlyclean: mostlyclean-am
1033
1034mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1035 mostlyclean-libtool
1036
1037pdf: pdf-am
1038
1039pdf-am:
1040
1041ps: ps-am
1042
1043ps-am:
1044
5c706339
AK
1045uninstall-am:
1046
0fbeb4dc 1047.MAKE: check-am install-am install-strip
b9668ba4 1048
0044e680 1049.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
b9668ba4 1050 clean-checkPROGRAMS clean-generic clean-libtool \
0044e680
AK
1051 clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
1052 distclean-compile distclean-generic distclean-libtool \
1053 distclean-tags distdir dvi dvi-am html html-am info info-am \
1054 install install-am install-data install-data-am install-dvi \
1055 install-dvi-am install-exec install-exec-am install-html \
1056 install-html-am install-info install-info-am install-man \
1057 install-pdf install-pdf-am install-ps install-ps-am \
1058 install-strip installcheck installcheck-am installdirs \
1059 maintainer-clean maintainer-clean-generic mostlyclean \
1060 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1061 pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1062 uninstall-am
b9668ba4 1063
0fbeb4dc 1064
b9668ba4
AK
1065# Tell versions [3.59,3.63) of GNU make to not export all variables.
1066# Otherwise a system limit (for SysV at least) may be exceeded.
1067.NOEXPORT:
This page took 0.230705 seconds and 5 git commands to generate.